python-linting:
  stage: lint
  image: python:3.11
  before_script:
    - uv pip install --requirement requirements/ci.txt
  script:
    - isort --check-only src/
    - black --line-length 88 --check src/
    - autoflake --check \
      --recursive \
      --remove-all-unused-imports \
      --ignore-init-module-imports \
      src/ 
  only:
    refs:
      - development
      - merge_requests

javascript-linting:
  stage: lint
  image: node:lts
  before_script:
    - npm install
  script:
    - npm run lint
  only:
    refs:
      - development
      - merge_requests
